ArchEquipment Namespace Reference

The Equipment object and tools. More...

Functions

def createMeshView (obj, direction=FreeCAD.Vector(0, 0,-1), outeronly=False, largestonly=False)
 
def makeEquipment (baseobj=None, placement=None, name="Equipment")
 

Variables

list Roles = ["Furniture", "Hydro Equipment", "Electric Equipment"]
 

Detailed Description

The Equipment object and tools.

This module provides tools to build equipment objects. Equipments are used to represent furniture and all kinds of electrical or hydraulic appliances in a building

Function Documentation

def ArchEquipment.createMeshView (   obj,
  direction = FreeCAD.Vector(0,0,-1),
  outeronly = False,
  largestonly = False 
)
createMeshView(obj,[direction,outeronly,largestonly]): creates a flat shape that is the
projection of the given mesh object in the given direction (default = on the XY plane). If
outeronly is True, only the outer contour is taken into consideration, discarding the inner
holes. If largestonly is True, only the largest segment of the given mesh will be used.

References ArchComponent.Component.onChanged(), Draft.QT_TRANSLATE_NOOP(), and DraftVecUtils.rounded().

def ArchEquipment.makeEquipment (   baseobj = None,
  placement = None,
  name = "Equipment" 
)

Variable Documentation

list ArchEquipment.Roles = ["Furniture", "Hydro Equipment", "Electric Equipment"]